Bug 984750 - Review Request: lbzip2-utils - Utilities for working with bzip2 compressed files
Review Request: lbzip2-utils - Utilities for working with bzip2 compressed files
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-15 17:25 EDT by Mikolaj Izdebski
Modified: 2013-07-22 07:35 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-16 08:36:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
i: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mikolaj Izdebski 2013-07-15 17:25:32 EDT
Spec URL: http://lbzip2.org/lbzip2-utils.spec
SRPM URL: http://lbzip2.org/lbzip2-utils-1.0-1.fc20.src.rpm
Description: This package provides a collection of utility programs to work with compressed files in bz2 format.  These utilities are supplementary to lbzip2 compression tool.
Fedora Account System Username: mizdebsk
Comment 1 Christopher Meng 2013-07-15 20:17:03 EDT
I'll take this.
Comment 2 Christopher Meng 2013-07-15 20:40:10 EDT
Let's first look into the spec itself.

Issue:

1. Please drop BuildRoot tag as modern RPM has already supported it.

2. Please drop rm -rf %{buildroot} in the %install section, same reason as above.

3. Please remove whole %clean section, same reason as #1.

4. Please remove %defattr(-,root,root,-), same reason...
Comment 3 Mikolaj Izdebski 2013-07-16 04:24:41 EDT
I'm sorry, I forgot to state that in the initial request, but I am going to submit this package for EPEL 5. All of the things mentioned in comment #2 are needed there.

If you insist I can remove them and for EPEL 5 use a different spec file, but I would rather keep the same spec across all branches.
Comment 4 Christopher Meng 2013-07-16 04:50:01 EDT
OK. I'll fill a bug when EL5 is terminated...

I've checked everything, fedora-review and manual, no problems.

APPROVED.
Comment 5 Mikolaj Izdebski 2013-07-16 05:18:43 EDT
Thank you.

New Package SCM Request
=======================
Package Name: lbzip2-utils
Short Description: Utilities for working with bzip2 compressed files
Owners: mizdebsk
Branches: f19 el5 el6
Comment 6 Gwyn Ciesla 2013-07-16 08:13:31 EDT
Git done (by process-git-requests).
Comment 7 Michael Schwendt 2013-07-22 07:29:43 EDT
> but I am going to submit this package for EPEL 5.
> All of the things mentioned in comment #2 are needed there.

RPM in EL5 is new enough, so you can drop %defattr.
Comment 8 Mikolaj Izdebski 2013-07-22 07:35:24 EDT
(In reply to Michael Schwendt from comment #7)
> > but I am going to submit this package for EPEL 5.
> > All of the things mentioned in comment #2 are needed there.
> 
> RPM in EL5 is new enough, so you can drop %defattr.

I didn't not know that.  I'll keep that in mind,  Thank you.

Note You need to log in before you can comment on or make changes to this bug.